Get Skill Revision

Retrieve full content for a specific skill revision, including structured reference and asset file bodies with size metadata.

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

skill_idstringRequiredformat: "uuid"
revision_idstringRequiredformat: "uuid"

Response

Skill revision content
idstringformat: "uuid"
skill_idstringformat: "uuid"
instructionsstring
skill_metadatamap from strings to any or null
capabilitiesobject or null
annotationstring or null
createdstring
reference_fileslist of strings
asset_fileslist of strings
reference_file_contentslist of objects
asset_file_contentslist of objects
script_fileslist of strings

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error